Skip to main content
PATCH
/
api
/
{portfolio}
/
portfolios
/
v1
/
facilities
/
{facilityUuid}
/
rentalRecords
/
{unitRentalRecordUuid}
/
enableAutoPay
/
{paymentProfileUuid}
Enable autopay for a unit rental record
curl --request PATCH \
  --url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/rentalRecords/{unitRentalRecordUuid}/enableAutoPay/{paymentProfileUuid} \
  --header 'x-api-key: <x-api-key>'

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

facilityUuid
string
required
unitRentalRecordUuid
string
required
paymentProfileUuid
string
required

Query Parameters

autoPayOffset
number

Number of days before the billing cycle to process the autopay payment. Must be an integer. If omitted, the existing autoPayOffset on the payment profile is preserved.

Required range: 0 <= x <= 10

Response

Autopay enabled successfully